Bug 1283147 - [abrt] gitg: g_realloc(): gitg killed by SIGABRT
[abrt] gitg: g_realloc(): gitg killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gitg (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:278dfdf132874bbd7248f4f612e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 06:37 EST by Yajo
Modified: 2016-12-20 11:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:03:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.57 KB, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: core_backtrace (37.00 KB, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: dso_list (17.93 KB, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: environ (1.03 KB, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: maps (104.57 KB, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: mountinfo (3.70 KB, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: open_fds (12.59 KB, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details
File: var_log_messages (390 bytes, text/plain)
2015-11-18 06:37 EST, Yajo
no flags Details

  None (edit)
Description Yajo 2015-11-18 06:37:19 EST
Description of problem:
I opened a big repo with many branches and scrolled with mouse wheel on the branch list.

Version-Release number of selected component:
gitg-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gitg --no-wd
crash_function: g_realloc
executable:     /usr/bin/gitg
global_pid:     18628
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #6 g_realloc at gmem.c:159
 #7 g_realloc_n at gmem.c:380
 #8 gitg_commit_model_resize_ids at /home/nacho/checkout/gnome/gitg/libgitg/gitg-commit-model.vala:286
 #9 __lambda34_ at /home/nacho/checkout/gnome/gitg/libgitg/gitg-commit-model.vala:411
 #10 ___lambda34__gthread_func at gitg-commit-model.c:2399
 #11 g_thread_proxy at gthread.c:778

Potential duplicate: bug 1230046
Comment 1 Yajo 2015-11-18 06:37:23 EST
Created attachment 1095969 [details]
File: backtrace
Comment 2 Yajo 2015-11-18 06:37:25 EST
Created attachment 1095970 [details]
File: cgroup
Comment 3 Yajo 2015-11-18 06:37:26 EST
Created attachment 1095971 [details]
File: core_backtrace
Comment 4 Yajo 2015-11-18 06:37:28 EST
Created attachment 1095972 [details]
File: dso_list
Comment 5 Yajo 2015-11-18 06:37:29 EST
Created attachment 1095973 [details]
File: environ
Comment 6 Yajo 2015-11-18 06:37:31 EST
Created attachment 1095974 [details]
File: limits
Comment 7 Yajo 2015-11-18 06:37:33 EST
Created attachment 1095975 [details]
File: maps
Comment 8 Yajo 2015-11-18 06:37:34 EST
Created attachment 1095976 [details]
File: mountinfo
Comment 9 Yajo 2015-11-18 06:37:35 EST
Created attachment 1095977 [details]
File: namespaces
Comment 10 Yajo 2015-11-18 06:37:36 EST
Created attachment 1095978 [details]
File: open_fds
Comment 11 Yajo 2015-11-18 06:37:38 EST
Created attachment 1095979 [details]
File: proc_pid_status
Comment 12 Yajo 2015-11-18 06:37:39 EST
Created attachment 1095980 [details]
File: var_log_messages
Comment 13 Anoop C S 2015-12-18 02:14:48 EST
Another user experienced a similar problem:

1. Clone linux kernel source (git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git)
2. Launch gitg from GNOME-Shell
3. Add locally cloned repo to gitg by clicking 'Add Repository'
4. Try to access the added repository by clicking on the particular tab inside gitg

Expected results
------------------
Repo browsing page should have been displayed.

Actual results
---------------
gitg crashed with SIGABRT

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gitg --no-wd
crash_function: g_realloc
executable:     /usr/bin/gitg
global_pid:     13773
kernel:         4.2.7-300.fc23.x86_64
package:        gitg-3.18.0-1.fc23
reason:         gitg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 08:32:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:03:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.